Create callback request
curl --request POST \
--url https://receipts.opencard.io/api/v1/marcet/callbackrequests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"callback_path": "/transaction/123456789",
"callback_content_type": "text/xml",
"transaction": {
"id": "txn_001",
"auth_amount": 99.95,
"auth_currency": "SEK",
"auth_date": "2026-06-08",
"auth_time": "11:12:14",
"auth_timezone": "Europe/Stockholm",
"reference_no": "190102519907",
"auth_code": "ABC123",
"terminal_id": "0000000015745355",
"merchant_no": "3462188",
"merchant_name": "Espresso House",
"merchant_country": "SE",
"clearing": "false",
"auth_masked_card_number": "****1234",
"type": "CARD_PURCHASE",
"state": "AUTHORIZED",
"mcc": "5814"
}
}
]
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
callback_path: '/transaction/123456789',
callback_content_type: 'text/xml',
transaction: {
id: 'txn_001',
auth_amount: 99.95,
auth_currency: 'SEK',
auth_date: '2026-06-08',
auth_time: '11:12:14',
auth_timezone: 'Europe/Stockholm',
reference_no: '190102519907',
auth_code: 'ABC123',
terminal_id: '0000000015745355',
merchant_no: '3462188',
merchant_name: 'Espresso House',
merchant_country: 'SE',
clearing: 'false',
auth_masked_card_number: '****1234',
type: 'CARD_PURCHASE',
state: 'AUTHORIZED',
mcc: '5814'
}
}
])
};
fetch('https://receipts.opencard.io/api/v1/marcet/callbackrequests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://receipts.opencard.io/api/v1/marcet/callbackrequests"
payload = [
{
"callback_path": "/transaction/123456789",
"callback_content_type": "text/xml",
"transaction": {
"id": "txn_001",
"auth_amount": 99.95,
"auth_currency": "SEK",
"auth_date": "2026-06-08",
"auth_time": "11:12:14",
"auth_timezone": "Europe/Stockholm",
"reference_no": "190102519907",
"auth_code": "ABC123",
"terminal_id": "0000000015745355",
"merchant_no": "3462188",
"merchant_name": "Espresso House",
"merchant_country": "SE",
"clearing": "false",
"auth_masked_card_number": "****1234",
"type": "CARD_PURCHASE",
"state": "AUTHORIZED",
"mcc": "5814"
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://receipts.opencard.io/api/v1/marcet/callbackrequests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'callback_path' => '/transaction/123456789',
'callback_content_type' => 'text/xml',
'transaction' => [
'id' => 'txn_001',
'auth_amount' => 99.95,
'auth_currency' => 'SEK',
'auth_date' => '2026-06-08',
'auth_time' => '11:12:14',
'auth_timezone' => 'Europe/Stockholm',
'reference_no' => '190102519907',
'auth_code' => 'ABC123',
'terminal_id' => '0000000015745355',
'merchant_no' => '3462188',
'merchant_name' => 'Espresso House',
'merchant_country' => 'SE',
'clearing' => 'false',
'auth_masked_card_number' => '****1234',
'type' => 'CARD_PURCHASE',
'state' => 'AUTHORIZED',
'mcc' => '5814'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}[
{
"callback_path": "/transaction/123456789",
"callback_content_type": "text/xml",
"transaction": {
"id": "txn_001",
"auth_amount": 99.95,
"auth_currency": "SEK",
"auth_date": "2026-06-08",
"auth_time": "11:12:14",
"auth_timezone": "Europe/Stockholm",
"reference_no": "190102519907",
"auth_code": "ABC123",
"terminal_id": "0000000015745355",
"merchant_no": "3462188",
"merchant_name": "Espresso House",
"merchant_country": "SE",
"clearing": "false",
"auth_masked_card_number": "****1234",
"type": "CARD_PURCHASE",
"state": "AUTHORIZED",
"mcc": "5814"
}
}
]Callback Requests
Create callback request
Submit transaction for receipt matching. OpenCard calls your callback_url when matched.
POST
/
api
/
v1
/
marcet
/
callbackrequests
Create callback request
⌘I

